Subject: Re: (Updated) Sample code for beginners of tcl/tk
From: [email-masked] (Ulisses T. Mello)

26 Nov 1997 19:58:16 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: "Y. Ahmet Sekercioglu" <[email-masked]>
Cc: [email-masked]

OK! Thank you. Now it works ...

ulisses.

On Wed, 26 Nov 1997, Y. Ahmet Sekercioglu wrote:
>
> On Tue, 25 Nov 1997, Ulisses T. Mello wrote:
> 
> > 
> > Hi,
> > 
> > I am trying to compile you example with cygwin32 environment using:
> > 
> > gcc -o tkhelloworld tkhelloworld.c -ltcl7.6 -ltk4.2
> > 
> > as you suggested but I get error:
> > 
> > tk.h:72 X11/Xlib.h: No such file or directory
> > 
> > Do you have to have X in you system? or some define -D__WIN32__ is
> > missing?
> > 
> > Cheers -- ulisses.
> > 
> 
> 	Hi Ulisses, 
> 
> 	It seems that this header file was somehow omitted from 
> the cygnus distribution. You do not need to have X11 installed.
> 
> 	I have done this: downloaded the tcl/tk 8.0 from sun and
> copied Xlib.h into cygnus directory. Then it compiled and ran 
> without any problems.
> 
> 
> ===Y. Ahmet Sekercioglu ([email-masked])=====IP phone:============
>    School of Information Technology                yas.csse.swin.edu.au
>    Swinburne University of Technology              tel: +61-3-92148942
> ===PO Box 218, Hawthorn, 3122 Vic. Australia=======fax: +61-3-98190823==
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".